Subject: Re: Crosscompile
From: [email-masked] (Gerhard Wesp)

7 Mar 1997 09:36:14 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]> <[email-masked]>
Mime-Version: 1.0
Original-To: [email-masked] (HASEGAWA Kay)
Original-Cc: [email-masked]
X-Mailer: Mutt 0.57
In-Reply-To: <[email-masked]>; from HASEGAWA Kay on Mar 7, 1997 11:55:04 +0900
Original-Sender: [email-masked]

 Hi all,

 I did the compile today and was surprised how smooth it worked. The only
problem was that it couldn't build libreadline because of a missing
termcap.h. But I don't need that one anyway.

 However, the mywinsock.h include file still doesn't work. I get the 
following errors:
In file included from test.c:1:
/usr/local/lib/gcc-lib/i486-pc-cygwin32/cygnus-2.7.2-961023/../../../../i486-pc-cygwin32/include/mywinsock.h:87: syntax error before `u_short'
/usr/local/lib/gcc-lib/i486-pc-cygwin32/cygnus-2.7.2-961023/../../../../i486-pc-cygwin32/include/mywinsock.h:767: syntax error before string constant
/usr/local/lib/gcc-lib/i486-pc-cygwin32/cygnus-2.7.2-961023/../../../../i486-pc-cygwin32/include/mywinsock.h:809: syntax error before `}'

 Should I use mywinsock.h? Or am I supposed to use the original winsock.h
from M$ Visual C?

Greetings,
-Gerhard

HASEGAWA Kay writes:
> What I did was following;
> 1)un-tar cdksrc.tar in SRC=/usr/local/src/cygwin32 for example, 
> 2)mkdir $(SRC)/i586-pc-cygwin32 ,and cd there
> 3)../configure --target=i586-pc-cygwin32 --host=i586-pc-linux
> 4)make, then install
>  
> I think making cross-compiler from original gcc would be tough with/without
> MSV++ headers.
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".